Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 623188 - Defaults to using cache with an LVM backed storage.
Defaults to using cache with an LVM backed storage.
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-11 10:43 EDT by Jamin W. Collins
Modified: 2013-10-02 16:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-02 16:12:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jamin W. Collins 2010-08-11 10:43:39 EDT
Description of problem:
Defaults to using cache with an LVM backed storage.  The use of caching with raw partitions (LVM) results in significantly lower performance than no cache at all.

How reproducible:
Always

Steps to Reproduce:
1. Create a new VM using LVM backed storage
  
Actual results:
Cache is enabled for the VM's disks residing within LVM.

Expected results:
Cache should be disabled for disks residing within LVM.

Additional info:
http://www.linux-kvm.org/page/Tuning_KVM

Specifically:

QEMU also supports a wide variety of caching modes. Writeback is useful for testing but does not offer storage guarantees. Writethrough (the default) is safer, and relies on the host cache. If you're using raw volumes or partitions, it is best to avoid the cache completely, which reduces data copies and bus traffic:

 qemu -drive file=/dev/mapper/ImagesVolumeGroup-Guest1,cache=none,if=virtio

This has also been reported with Ubuntu at: https://bugs.launchpad.net/ubuntu/+source/virt-manager/+bug/568445
Comment 1 Daniel Berrange 2010-08-11 12:12:46 EDT
Choice of caching mode is a policy decision. These belong in virt-manager or other apps using libvirt.
Comment 2 Jamin W. Collins 2010-08-11 13:01:21 EDT
AFAIK, this is the place to post feature requests for virt-manager, at least this is where their website directed me.  Intentionally selecting a default mode that results in very poor performance (about 1/5 less) when the upstream for the virtualization engine (qemu/kvm) clearly indicates that another mode is preferable is (IMHO) a bad choice.  Furthermore, from what I can tell, virt-manager doesn't appear to provide any means of changing or overriding the default.  A user must instead manually edit the server's XML definition of the VM in question.
Comment 3 Jamin W. Collins 2010-08-16 11:38:49 EDT
Reopening against virt-manager as recommended on mailing list.
Comment 4 Cole Robinson 2013-10-02 16:12:51 EDT
Fixed upstream now

Note You need to log in before you can comment on or make changes to this bug.